commit: d8b385de7b770d2ddbece439b49ddfa344676e71
Author: Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 13 07:15:29 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Jul 13 07:16:00 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8b385de
dev-python/texttable: python3.9, use d_e_t, use optfeature, clean file
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
dev-python/texttable/texttable-1.6.2-r1.ebuild | 29 ++++++++++++++++++++++++++
1 file changed, 29 insertions(+)
diff --git a/dev-python/texttable/texttable-1.6.2-r1.ebuild
b/dev-python/texttable/texttable-1.6.2-r1.ebuild
new file mode 100644
index 00000000000..ca525083381
--- /dev/null
+++ b/dev-python/texttable/texttable-1.6.2-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Module for creating simple ASCII tables"
+HOMEPAGE="https://github.com/foutaise/texttable
https://pypi.org/project/texttable/"
+SRC_URI="https://github.com/foutaise/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/wcwidth[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+ pytest -vv tests.py || die
+}
+
+pkg_postinst() {
+ elog "Optional features: "
+ optfeature "better wrapping of CJK text" dev-python/cjkwrap
+}